/*
 * freq_synths.h
 *
 *  Created on: 14.09.2017
 *      Author: rieche
 */

#ifndef FREQ_SYNTHS_H_
#define FREQ_SYNTHS_H_

#include "./drivers/CoreSPI/core_spi.h"
#include "./drivers/CoreUARTapb/core_uart_apb.h"
#include "uart_terminal.h"

typedef struct freq_synths {
	spi_instance_t    * g_spi;
	spi_slave_t         spi_slave;
	uint8_t             eeprom_select_byte;
	const uint8_t     * eeprom_data;
	const uint16_t      eeprom_length;
}freq_synths_t;


void freq_synths_ctrl(
		UART_instance_t * g_uart,
		freq_synths_t   * fs
);
void freq_synths_eeprom_init(
		UART_instance_t * g_uart,
		freq_synths_t   * fs
);
void freq_synths_read_reg(
		UART_instance_t * g_uart,
		freq_synths_t   * fs,
		int               start_addr,
		int               end_addr,
		uint8_t         * s
);
void freq_synths_read_eeprom(
		UART_instance_t * g_uart,
		freq_synths_t   * fs
);

#endif /* FREQ_SYNTHS_H */
